package yangtz.cs.liu.campus.service.schoolAtt;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.schoolAtt.SchoolAttMon;

import java.text.ParseException;
import java.util.List;

public interface ISchoolAttMonService extends IService<SchoolAttMon> {
    public List<SchoolAttMon> queryList(SchoolAttMon attMon);
    //级部查看月度考勤
    public List<SchoolAttMon> queryGradeList(List<Long> idList,SchoolAttMon attMon);

    public int editById(Long id);

    /**
     * 按月批量提交
     * */
    public int monthSubmit(SchoolAttMon attMon);

    /**
     * 级部按月批量提交
     * */
    public int monthGradeSubmit(List<Long> idList,SchoolAttMon attMon);

    /**
     * 按月初始化
     * */
    public int monthInit(SchoolAttMon attMon) throws Exception;

    /**
     * 级部按月初始化
     * */
    public int monthGradeInit(List<Long> idList,SchoolAttMon attMon) throws Exception;
}
